Si el host RHEL no es compatible, actualícelo manualmente a la versión admitida.

RHEL 7.4 requiere las siguientes dependencias para que el paquete de LCP y los componentes del host funcionen correctamente.

yum-utils, wget, redhat-lsb-core, tcpdump, boost-filesystem, PyYAML, boost-iostreams, boost-chrono, python-mako, python-netaddr, python-six, gperftools-libs, libunwind, snappy, boost-date-time, c-ares, libev, python-gevent, python-greenlet

Requisitos previos

Compruebe que el host RHEL es compatible. Consulte Ruta de acceso de actualización del hipervisor admitida.

Procedimiento

  1. Desplácese hasta el archivo /etc/yum.conf.
  2. Establezca la actualización a la versión 7.5 de RHEL.

    subscription-manager release --set=7.5

  3. Borre la caché de YUM.

    yum clean all

  4. Actualice los paquetes YUM.

    yum update --releasever=7.4 update

  5. Compruebe el archivo de configuración Grub2.

    awk -F\' '$1=="menuentry " {print $2}' /etc/grub2.cfg

    RHEL 7.4 aparece en el archivo grub2.cfg.

  6. Descargue el Link Control Protocol (LCP) de Red Hat 7.4.

    wget <RHEL_7.4_NSXT_21_LCP_URL>

  7. Descomprima el paquete de LCP tar descargado.

    tar zxvf nsx-lcp-*rhel74_x86_64.tar.gz

  8. Instale los paquetes RPM.
    cd nsx-lcp-rhel74_x86_64
    rpm -Uvh --force *.rpm
  9. Elimine los comentarios del archivo /etc/yum.conf para revertir al estado original.

    exclude=[existing list] kernel* redhat-release*

  10. Para actualizar NSX-T Data Center 2.1 a NSX-T Data Center 2.3, desinstale netcpa con la opción --noscripts.
    rpm -evv --noscripts --nodeps nsx-netcpa 2>&1
    if [ -f /opt/vmware/bin/netcpa.sh ]; then
       rm /opt/vmware/bin/netcpa.sh
    fi

Qué hacer a continuación

También puede actualizar a la versión RHEL 7.5 compatible.